package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.PhotoAlbum;
import com.ym.mec.biz.dal.page.PhotoQueryInfo;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;

import java.util.List;

public interface PhotoAlbumService extends BaseService<Integer, PhotoAlbum> {

    PageInfo<PhotoAlbum> queryAlbumPage(PhotoQueryInfo queryInfo);

    void batchUpdate(List<PhotoAlbum> photoAlbumList);

    void batchDelete(String ids);
}